package com.template.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;


/**
 * @Author：liuxinyue
 * @Package：com.sheep.message.domain
 * @Project：cloud-server-c
 * @name：DataType
 * @Date：2024/9/19 19:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper=false)
public class DataType implements Serializable{

    /**
     * 数据类型ID
     */
    private Integer DataTypeId;
    /**
     * 数据类型名称
     */
    private String DataTypeName;



}
