package com.template.service;

import com.template.domain.Template;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.sql.SQLException;
import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.template.service
 * @Project：cloud-server-c
 * @name：TemplateService
 * @Date：2024/9/20 12:12
 */
public interface TemplateService {
    List<Template> templateList();


    void messageParsing(String templateMessage) throws SQLException, IoTDBConnectionException, ClassNotFoundException, StatementExecutionException;

}
