package com.template.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Author：liuxinyue
 * @Package：com.template.domain
 * @Project：cloud-server-c
 * @name：Template
 * @Date：2024/9/20 12:04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Template {

    /**
     * 模版ID
     */
    private Integer templateId;
    /**
     * 租户ID
     */
    private Integer houseId;
    /**
     * 模版名称
     */
    private String templateName;
    /**
     * 模版描述
     */
    private String templateDescribe;
    /**
     * 创建时间
     */
    private Date createTime;
}
