package com.template.service.impl;
import com.template.domain.DataType;
import com.template.mapper.DataTypeMapper;
import com.template.service.DataTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
/**
 * @Author：liuxinyue
 * @Package：com.sheep.service.impl
 * @Project：cloud-server-c
 * @name：DataTypeServiceImpl
 * @Date：2024/9/20 9:15
 */
@Service
public class DataTypeServiceImpl  implements DataTypeService{

    @Autowired
    private DataTypeMapper dataTypeMapper;

    @Override
    public List<DataType> dataTypeList() {
        return dataTypeMapper.dataTypeList();
    }
}
